<?php

namespace App\Traits;

use App\Models\EasypaisaCustomer;

trait ChecksProfileComplete
{
    private function checkProfileComplete(EasypaisaCustomer $customer): bool
    {
        return !empty($customer->email)
            && !empty($customer->cnic_issue_date)
            && !empty($customer->cnic_expiry_date)
            && !empty($customer->address);
    }
}
